GitHub Contributions API

Get a user's GitHub contribution graph for a year.

1 creditper request
GET
/v1/github/user/contributions
curl "https://api.scrapecreators.com/v1/github/user/contributions" \
  -H "x-api-key: "
{
  "success": true,
  "credits_remaining": 49997684481,
  "contributions": {
    "username": "torvalds",
    "year": 2026,
    "total_contributions": 1214,
    "days": [
      {
        "date": "2026-01-01",
        "contribution_count": 4,
        "color": null,
        "intensity": 1
      },
      {
        "date": "2026-01-02",
        "contribution_count": 16,
        "color": null,
        "intensity": 2
      },
      {
        "date": "2026-01-03",
        "contribution_count": 3,
        "color": null,
        "intensity": 1
      },
      {
        "date": "2026-01-04",
        "contribution_count": 7,
        "color": null,
        "intensity": 1
      },
      {
        "date": "2026-01-05",
        "contribution_count": 3,
        "color": null,
        "intensity": 1
      },
      {
        "date": "2026-01-06",
        "contribution_count": 2,
        "color": null,
        "intensity": 1
      },
      {
        "date": "2026-01-07",
        "contribution_count": 11,
        "color": null,
        "intensity": 2
      }
    ]
  }
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

handle
string

GitHub handle

Example:
torvalds
url
string

GitHub profile URL

Example:
https://github.com/torvalds
year
number

Contribution graph year. Defaults to the current year.

Example:
2026